Skip to main content
`Ctrl`+`K`

# PetscSpaceType

String with the name of a PETSc linear space

## Synopsis

    typedef const char *PetscSpaceType;
    #define PETSCSPACEPOLYNOMIAL "poly"
    #define PETSCSPACEPTRIMMED   "ptrimmed"
    #define PETSCSPACETENSOR     "tensor"
    #define PETSCSPACESUM        "sum"
    #define PETSCSPACEPOINT      "point"
    #define PETSCSPACESUBSPACE   "subspace"
    #define PETSCSPACEWXY        "wxy"

## Values

- `PETSCSPACEPOLYNOMIAL` - a polynomial space, e.g. P1 is the space of linear polynomials

- `PETSCSPACEPTRIMMED` - a trimmed polynomial space

- `PETSCSPACETENSOR` - a space consisting of the tensor product of two or more spaces

- `PETSCSPACESUM` - a direct or a concatenation sum

- `PETSCSPACEPOINT` - functions defined by values on a set of quadrature points

- `PETSCSPACESUBSPACE` - some kind of subspace, no idea what

- `PETSCSPACEWXY` - space that encapsulates the Wheeler-Xu-Yotov enrichments

## See Also

`PetscSpaceSetType()`, `PetscSpace`, `PetscSpaceType`

## Level

beginner

## Location

include/petscspace.h

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages